import type HasCallbackData from "../Interfaces/HasCallbackData";
import type IsAction from "../Interfaces/IsAction";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionCallback implements IsAction {
    /**
     * Callback data.
     *
     * @since 1.0.0
     */
    private callback;
    /**
    * Constuctor.
    *
    * @param data Callback data
    *
    * @since 1.0.0
    */
    constructor(callbackData: HasCallbackData);
    /**
     * Run action.
     *
     * @return boolean True if action was executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
