import { modalStore } from "../../Stores/ModalStore";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionModal {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data) {
        this.data = data;
    }
    /**
     * Run action.
     *
     * @return boolean True if action was executed successfully.
     *
     * @since 1.0.0
     */
    execute() {
        modalStore.set(this.data);
        return true;
    }
}
