/**
 * CSSClasses.
 *
 * @since 1.0.0
 */
export default class CSSClasses {
    private cssClasses;
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(cssClasses?: string[]);
    /**
     * Get CSS classes.
     *
     * @returns CSS classes array.
     *
     * @since 1.0.0
     */
    get(): string[];
    /**
     * Get classes string for HTML parameter.
     *
     * @returns CSS classes in a string.
     *
     * @since 1.0.0
     */
    toString(): string;
    /**
     * Add CSS class.
     *
     * @param name Name of CSS class to add.
     *
     * @since 1.0.0
     */
    add(name: string): void;
    /**
     * Remove CSS class.
     *
     * @param name Name of CSS class to remove.
     *
     * @since 1.0.0
     */
    remove(name: string): void;
}
