import Callback from "./Callback";
/**
 * Callback class.
 *
 * @since 1.0.0
 */
export default class ValueCallback extends Callback {
    /**
     * Execute on change or on form init.
     */
    trigger;
    /**
     * Constructor.
     *
     * @param method Callback method.
     * @param args Callback arguments.
     *
     * @since 1.0.0
     */
    constructor(callback, formValues) {
        super(callback);
        this.args.unshift(formValues);
        this.trigger = callback.trigger;
    }
}
